<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/beij3"
    tools:context="com.wall.engine.wallpaper.MainActivity2">

    <!-- 内层Tab（4D/LIVE/4K）- 顶部 -->
    <com.google.android.material.tabs.TabLayout
        android:id="@+id/innerTabLayout"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:visibility="gone"
        app:tabGravity="fill"
        app:tabIndicatorColor="#E4080A"
        app:tabMode="fixed"
        app:tabSelectedTextColor="#060270"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />

    <!-- 外层ViewPager2 - 中间 -->
    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/outerViewPager"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintTop_toBottomOf="@+id/innerTabLayout"
        app:layout_constraintBottom_toTopOf="@+id/outerTabLayout"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />

    <!-- 外层Tab（Home/Setting）- 底部 -->
    <com.google.android.material.tabs.TabLayout
        android:id="@+id/outerTabLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:tabGravity="fill"
        app:tabIndicatorColor="#E4080A"
        app:tabMode="fixed"
        app:tabSelectedTextColor="#060270"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:tabInlineLabel="false"
        app:iconSize="24dp" />
</androidx.constraintlayout.widget.ConstraintLayout>
